[glib/wip/smcv/show-execution-environment] CI: Show execution environment before we start



commit 8c118a37b1c414dd73d7975a8f9acce3cd6626f2
Author: Simon McVittie <smcv collabora com>
Date:   Wed Feb 12 14:35:54 2020 +0000

    CI: Show execution environment before we start
    
    This will help to debug CI issues that are related to us running in
    a container that might have unusual capabilities, mount points,
    filesystems etc., such as (probably) #2027, #2028, #2029.
    
    Signed-off-by: Simon McVittie <smcv collabora com>

 .gitlab-ci.yml                           |  2 ++
 .gitlab-ci/show-execution-environment.sh | 11 +++++++++++
 2 files changed, 13 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d28f88b7e..38f56ee7c 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -28,6 +28,7 @@ variables:
 .build:
   extends: .only-default
   before_script:
+    - .gitlab-ci/show-execution-environment.sh
     - cp -r $HOME/subprojects/* subprojects/
 
 style-check-diff:
@@ -375,6 +376,7 @@ macos:
   tags:
     - macos
   before_script:
+    - .gitlab-ci/show-execution-environment.sh
     - pip3 install --user meson==0.49.2
     - pip3 install --user ninja
     - export PATH=/Users/gitlabrunner/Library/Python/3.7/bin:$PATH
diff --git a/.gitlab-ci/show-execution-environment.sh b/.gitlab-ci/show-execution-environment.sh
new file mode 100644
index 000000000..0c2265161
--- /dev/null
+++ b/.gitlab-ci/show-execution-environment.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -eux -o pipefail
+
+id || :
+capsh --print || :
+env -0 | sort -z | perl -pe 's/\0/\n/g' || :
+setpriv --dump || :
+ulimit -a || :
+cat /proc/self/status || :
+cat /proc/self/mountinfo || :


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]